Package org.eclipse.jface.viewers

# Class TreeViewerEditor

java.lang.Object
org.eclipse.jface.viewers.ColumnViewerEditor
org.eclipse.jface.viewers.TreeViewerEditor

public class TreeViewerEditor extends ColumnViewerEditor
This is an editor implementation for `Tree`

Since:
  3.3

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ColumnViewerEditor

`DEFAULT, KEEP_EDITOR_ON_DOUBLE_CLICK, KEYBOARD_ACTIVATION, TABBING_CYCLE_IN_ROW, TABBING_CYCLE_IN_VIEWER, TABBING_HORIZONTAL, TABBING_MOVE_TO_ROW_NEIGHBOR, TABBING_VERTICAL`

## Method Summary

Modifier and Type
Method
Description
`static void`
`create(TreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor whose activation process is customized
`static void`
`create(TreeViewer viewer, org.eclipse.jface.viewers.SWTFocusCellManager focusCellManager, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)`
Create a customized editor with focusable cells
`ViewerCell`
`getFocusCell()`
`protected void`
`setEditor(Control w, Item item, int fColumnNumber)`
Position the editor inside the control
`protected void`
`setLayoutData(CellEditor.LayoutData layoutData)`
set the layout data for the editor
`protected void`
`updateFocusCell(ViewerCell focusCell, ColumnViewerEditorActivationEvent event)`

### Methods inherited from class org.eclipse.jface.viewers.ColumnViewerEditor

`addEditorActivationListener, getViewer, processTraverseEvent, removeEditorActivationListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static void create(TreeViewer viewer, org.eclipse.jface.viewers.SWTFocusCellManager focusCellManager, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)
Create a customized editor with focusable cells

Parameters:
  `viewer` - the viewer the editor is created for
  `focusCellManager` - the cell focus manager if one needed else `null`
  `editorActivationStrategy` - activation strategy to control if an editor activated
  `feature` - bit mask controlling the editor
  - `ColumnViewerEditor.DEFAULT`
  - `ColumnViewerEditor.TABBING_CYCLE_IN_ROW`
  - `ColumnViewerEditor.TABBING_HORIZONTAL`
  - `ColumnViewerEditor.TABBING_MOVE_TO_ROW_NEIGHBOR`
  - `ColumnViewerEditor.TABBING_VERTICAL`
See Also:
  - `create(TreeViewer, ColumnViewerEditorActivationStrategy, int)`

### create

public static void create(TreeViewer viewer, ColumnViewerEditorActivationStrategy editorActivationStrategy, int feature)
Create a customized editor whose activation process is customized

Parameters:
  `viewer` - the viewer the editor is created for
  `editorActivationStrategy` - activation strategy to control if an editor activated
  `feature` - bit mask controlling the editor
  - `ColumnViewerEditor.DEFAULT`
  - `ColumnViewerEditor.TABBING_CYCLE_IN_ROW`
  - `ColumnViewerEditor.TABBING_HORIZONTAL`
  - `ColumnViewerEditor.TABBING_MOVE_TO_ROW_NEIGHBOR`
  - `ColumnViewerEditor.TABBING_VERTICAL`

### setEditor

protected void setEditor(Control w, Item item, int fColumnNumber)
Description copied from class: `ColumnViewerEditor`
Position the editor inside the control

Specified by:
  `setEditor` in class `ColumnViewerEditor`
Parameters:
  `w` - the editor control
  `item` - the item (row) in which the editor is drawn in
  `fColumnNumber` - the column number in which the editor is shown

### setLayoutData

protected void setLayoutData(CellEditor.LayoutData layoutData)
Description copied from class: `ColumnViewerEditor`
set the layout data for the editor

Specified by:
  `setLayoutData` in class `ColumnViewerEditor`
Parameters:
  `layoutData` - the layout data used when editor is displayed

### getFocusCell

public ViewerCell getFocusCell()

Overrides:
  `getFocusCell` in class `ColumnViewerEditor`
Returns:
  the cell currently holding the focus if no cell has the focus or the viewer implementation doesn't support `null` is returned

### updateFocusCell

protected void updateFocusCell(ViewerCell focusCell, ColumnViewerEditorActivationEvent event)

Specified by:
  `updateFocusCell` in class `ColumnViewerEditor`
Parameters:
  `focusCell` - updates the cell with the current input focus
  `event` - the event requesting to update the focusCell